Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSetDM

Get the `DM` representing the reference cell

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetDM(PetscDualSpace sp, DM dm)

Not Collective

## Input Parameters

- sp - The `PetscDual`Space

- dm - The reference cell

## See Also

`PetscDualSpace`, `DM`, `PetscDualSpaceGetDM()`, `PetscDualSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

## Examples

src/dm/dt/dualspace/impls/lagrange/tutorials/ex1.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages